#!/bin/sh

# make sure the path to rule file and rule file name match your system
# changing below to require execution from within earc-edel-v20 path

UF71PATH=/u0/unform71
FULLPATHRUL=/u0/unform_test/_oem/sxe/esxe-7sds_sdsi.rul

# must be executed from the dir where the script and sub folders reside
if [ ! -f "./e1sxedemo.sh" ]
	then
	echo "This script must be executed from the folder above the sxe demotxt folder,"
	echo "and should be the folder containing the sxe rule files."
	exit
fi

# must be root
if [ "`id|cut -f 1 -d '('`" != "uid=0" ]
	then
	echo "You must be the root user to run this script."
	exit
fi

echo "This script will create the archive libraries MySxe1_Accounting,"
echo "MySxe1_Purchasing, and MySxe1_Sales."
echo "If they already exist, they will first be removed."
echo ""
CONTINUE=x
while [ "$CONTINUE" != "y" -a "$CONTINUE" != "n" ]
 do
 echo "Do you wish to continue? (enter y or n below):"
 read CONTINUE
done

# clear old first
# make sure these paths match your installation!

rm -rf $UF71PATH/arc/MySxeSds_Accounting 2>/dev/null
rm -rf $UF71PATH/arc/MySxeSds_Sales 2>/dev/null    
rm -rf $UF71PATH/arc/MySxeSds_Purchase-Transfer 2>/dev/null
rm -rf $UF71PATH/arc/MySxeSds_Financials 2>/dev/null
rm ./edemotxt/*.pdf 2>/dev/null

# now build demo archives...
for f in `ls ./edemotxt/*-1*.txt`
do
 pdf=`echo $f | sed -e "s/\.txt/.pdf/"`
 cmd="uf71c -i $f -f $FULLPATHRUL -p pdf -o client:$pdf"
 echo "$cmd"
 $cmd
done
