#!/bin/sh
# Script to capture SX.e output designed for printing via UnForm                
# Written by Synergetic Data Systems Inc.                                       
#                                                                               
# to run parallel with rxsprint.sh, simply run this script near the top of rxsprint.sh, eg.                                                                     
#       uf_rxsprint.sh $1 $2                                                    
#                                                                               
                                                                                
# $1=printer name (lp -d???)                                                    
# $2=report text stream                                                         
                                                                                
# Modify path for temp files to fit your system, if desired
SubmissionFile="/tmp/ufs.$$.txt"                                                
LocalErrorFile="/tmp/ufs.$$.err"
SpoolErrorFile="/dev/null"
# If you need to debug spooler errors, enable this line                                                
#SpoolErrorFile="/tmp/ufs.$$.lperr"

# Modify path and rule file name to fit your system
RuleFile="MyRuleFile.rul"

# Modify UnForm server location (may append :port if you use a non-default port)
Server="localhost"                                                        

# Modify spooler command to fit your system
Output="|lp -d$1 -oraw 2>$SpoolErrorFile"                                       

# modify UnForm client to fit your system
UnFormClient=uf71c                                                              
                                                                                
# copy print stream to work file (assumes sxe will remove work file)            
cp "$2" "$SubmissionFile"                                                       
                                                                                
# submit to unform                                                              
$UnFormClient -i "$SubmissionFile" -e "$LocalErrorFile" -f "$RuleFile" -server "$Server" -o "$Output"                                                           

# Clean up work files
rm -f $SubmissionFile 2>/dev/null                           
rm -f $LocalErrorFile 2>/dev/null                            
#rm -f $SpoolErrorFile 2>/dev/null                                   

